<?
include_once("./_common.php");
include_once("$g4[path]/lib/mailer.lib.php");

if ($member[mb_id]) alert("이미 로그인 중입니다.");

$email		= trim($_POST['mb_email']);
if (!$email) alert_close("메일주소 오류입니다.");

$sql		= "select count(*) as cnt from $g4[member_table] where mb_email = '$email'";
$row		= sql_fetch($sql);
if($row[cnt] > 1) alert("동일한 메일주소가 2개 이상 존재합니다.\\n\\n관리자에게 문의하여 주십시오.");

//-- 회원정보 찾기
if($zm_config[usepasswdq])	$swhere	= "and mb_password_a='$mb_passwda'";
$sql		= "select mb_no, mb_id, mb_name, mb_nick, mb_email, mb_datetime, mb_leave_date from $g4[member_table] where mb_id='$mb_id' and mb_name='$mb_name' and mb_nick='$mb_nick' and mb_email='$email' $swhere";

$mb			= sql_fetch($sql);
if(!$mb[mb_id])     alert("입력하신 정보와 일치하는 회원이 없습니다.");
elseif(is_admin($mb[mb_id]))    alert("관리자 아이디는 접근 불가합니다.");

//-- 재가입일 때 --------------------------------
if($mode == "reentry") {
	if(!$mb[mb_leave_date] || !$mb[mb_id] || !$mb[mb_name] || !$mb[mb_nick] || !$mb[mb_email] || !$zm_config[reentrymember]) { 
		alert("재가입 할 수 없는 아이디 이거나 재가입 가능 기간이 아닙니다.");
	}
	
	if($zm_config[reentryterm] > 0) {
		if($mb[mb_leave_date] >= date("Ymd", $g4[server_time]-($zm_config[reentryterm] * 86400))) {
			alert("탈퇴 후 ".$zm_config[reentryterm]."일이 지나야 재가입이 가능합니다.");
		}
	}
	sql_query("update $g4[member_table] set mb_leave_date='' where mb_id='$mb[mb_id]'");
}


// 난수 발생
srand(time());
$randval	= rand(6, 8); 
$change_password = substr(md5(get_microtime()), 0, $randval);

$mb_lost_certify = sql_password($change_password);
$mb_datetime     = sql_password($mb[mb_datetime]);

// 회원테이블에 필드를 추가
sql_query("ALTER TABLE `$g4[member_table]` ADD `mb_lost_certify` VARCHAR( 255 ) NOT NULL AFTER `mb_memo` ", false);

$sql	= "update $g4[member_table] set mb_lost_certify = '$mb_lost_certify' where mb_id = '$mb[mb_id]' ";
sql_query($sql);

$href	= "$g4[url]/$g4[bbs]/password_lost_certify.php?mb_no=$mb[mb_no]&mb_datetime=$mb_datetime&mb_lost_certify=$mb_lost_certify";

$subject = "회원님의 요청하신 개인 정보가 담겨 있습니다.";

//-- 메일로 전송 될 페이지
$content = "";
$content .= "<div style='line-height:180%;'>";
$content .= "<p>요청하신 계정정보는 다음과 같습니다.</p>";
$content .= "<hr>";
$content .= "<ul>";
$content .= "<li>회원아이디 : $mb[mb_id]</li>";
$content .= "<li>임시 비밀번호 : <span style='color:#ff3300; font:13px Verdana;'><strong>$change_password</strong></span></li>";
$content .= "<li>이름 : ".addslashes($mb[mb_name])."</li>";
$content .= "<li>별명 : ".addslashes($mb[mb_nick])."</li>";
$content .= "<li>이메일주소 : ".addslashes($mb[mb_email])."</li>";
$content .= "<li>요청일시 : $g4[time_ymdhis]</li>";
$content .= "<li>홈페이지 : $g4[url]</li>";
$content .= "</ul>";
$content .= "<hr>";
$content .= "<p><a href='$href' target='_blank'>$href</a></p>";
$content .= "<p>";
$content .= "1. 위의 링크를 클릭하십시오. 링크가 클릭되지 않는다면 링크를 브라우저의 주소창에 직접 복사해 넣으시기 바랍니다.<br />";
$content .= "2. 링크를 클릭하시면 임시 비밀번호의 인증 메시지가 출력됩니다.<br />";
$content .= "3. 인증 메시지가 확인 되었다면 위의 임시 비밀번호를 이용하여 로그인 할 수 있습니다.<br />";
$content .= "4. 로그인 하신 후 새로운 비밀번호로 변경하시기 바랍니다.";
$content .= "</p>";
$content .= "<p>감사합니다.</p>";
$content .= "</div>";

$admin	= get_admin('super');
mailer($admin[mb_nick], $admin[mb_email], $mb[mb_email], $subject, $content, 1);
?>